## libxp 1.0.0.xsf1-2

=== debian/changelog ===
libxp (1:1.0.0.xsf1-2) unstable; urgency=low

  [ Brice Goglin ]
  * Bump Standards-Version to 3.7.3 (no changes).
  * Add Vcs-Browser and Vcs-Git fields to debian/control.
  * Add a link to www.X.org in the long description.
  * Update reference to the upstream module in the long description.
  * Update upstream URL in debian/copyright.
  * Use ${binary:Version} instead of the deprecated ${Source-Version}.
  * Install the upstream ChangeLog.

  [ Julien Cristau ]
  * libxp-dev needs to depend on libxext-dev and libxau-dev (closes: #487054).
  * autoreconf with current autotools to get updated config.{guess,sub}.

 -- Julien Cristau <jcristau@debian.org>  Sat, 05 Jul 2008 19:17:56 +0200

libxp (1:1.0.0.xsf1-1) unstable; urgency=low

  * Package source management transferred to XSF.  Upstream version
    number manipulated to allow for move from dbs to quilt.
  * Standards version 3.7.2.

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Jul 2006 23:13:51 +1000

libxp (1:1.0.0-1) unstable; urgency=low

  * Initial modular release for X11R7. Closes: #362554.

 -- Drew Parsons <dparsons@debian.org>  Sun, 16 Apr 2006 16:51:31 +1000
