=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 endif
 
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -36,26 +37,29 @@
 build: patch build-stamp
 build-stamp:
 	dh_testdir
+	dh_autoreconf
 
-	test -d obj-$(DEB_BUILD_GNU_TYPE) || mkdir obj-$(DEB_BUILD_GNU_TYPE)
-	cd obj-$(DEB_BUILD_GNU_TYPE) && \
+	mkdir -p build
+	cd build && \
 	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
 	             --infodir=\$${prefix}/share/info $(confflags) \
-	             CFLAGS="$(CFLAGS)" 
-	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
+		     --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	             CFLAGS="$(CFLAGS)"
+	$(MAKE) -C build
 
 	touch build-stamp
 
 clean: xsfclean
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
 	rm -f build-stamp
 
 	rm -f config.cache config.log config.status
 	rm -f */config.cache */config.log */config.status
 	rm -f conftest* */conftest*
 	rm -rf autom4te.cache */autom4te.cache
-	rm -rf obj-*
+	rm -rf build
 
 	dh_clean
 
@@ -65,7 +69,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -73,7 +77,7 @@
 	dh_testroot
 
 	dh_installdocs
-	dh_install --sourcedir=debian/tmp --list-missing --exclude=usr/share/man/man3 --exclude=libXp.la
+	dh_install --sourcedir=debian/tmp --fail-missing --exclude=usr/share/man/man3 --exclude=libXp.la
 	dh_installman
 	dh_installchangelogs ChangeLog
 	dh_link
