=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXp
version=3
http://xorg.freedesktop.org/releases/individual/lib/ libXp-(.*)\.tar\.gz
